From fdd9eaf883dc247af105868a229b705162482113 Mon Sep 17 00:00:00 2001
From: pvo <pvo@localhost.localdomain>
Date: Tue, 17 Nov 2015 16:54:26 +0700
Subject: [PATCH] config: add config-centos-sig

This patch adds SIG-specific config to allow overwriting default config
options.

Signed-off-by: pvo <pvo@localhost.localdomain>
---
 SOURCES/Makefile.config   |  2 +-
 SOURCES/config-centos-sig | 17 +++++++++++++++++
 2 files changed, 18 insertions(+), 1 deletion(-)
 create mode 100644 SOURCES/config-centos-sig

diff --git a/SOURCES/Makefile.config b/SOURCES/Makefile.config
index c262483..1a19a5b 100644
--- a/SOURCES/Makefile.config
+++ b/SOURCES/Makefile.config
@@ -53,7 +53,7 @@ config-%-merged:
 		cp $$(basename $@ -merged) $@; \
 	fi
 
-temp-generic: config-nodebug-merged config-generic-merged
+temp-generic: config-nodebug-merged config-generic-merged config-centos-sig-merged
 	cat $^ > temp-generic
 
 temp-debug-generic: config-debug-merged config-generic-merged
diff --git a/SOURCES/config-centos-sig b/SOURCES/config-centos-sig
new file mode 100644
index 0000000..1426ca5
--- /dev/null
+++ b/SOURCES/config-centos-sig
@@ -0,0 +1,17 @@
+# This file is for SIG members to add additional configuration options
+# common to CentOS SIG but not configured in other config files
+
+# Mailbox
+CONFIG_MAILBOX=y
+# CONFIG_PL320_MBOX is not set
+# CONFIG_PCC is not set
+CONFIG_XGENE_SLIMPRO_MBOX=m
+
+CONFIG_I2C_XGENE_SLIMPRO=m
+
+CONFIG_SCSI_MPT2SAS=m
+CONFIG_SCSI_MPT2SAS_MAX_SGE=128
+CONFIG_SCSI_MPT2SAS_LOGGING=y
+CONFIG_SCSI_MPT3SAS=m
+CONFIG_SCSI_MPT3SAS_MAX_SGE=128
+CONFIG_SCSI_MPT3SAS_LOGGING=y
-- 
1.8.3.1

